package com.pcloud.book.clock.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author: hzk
 * @Date: 2019/5/29 14:15
 * @Version 1.0
 */
public class PushBookClockKeywordDTO implements Serializable {

    private static final long serialVersionUID = 7723153542339015688L;

    @ApiModelProperty("微信群打卡信息ID")
    private Long bookClockInfoId;

    @ApiModelProperty("作品/应用ID")
    private Long originId;

    @ApiModelProperty("作品/应用")
    private String originType;

    @ApiModelProperty("作品/应用类型")
    private String typeCode;

    @ApiModelProperty("渠道ID")
    private Long channelId;

    @ApiModelProperty("机器人ID")
    private String robotId;

    @ApiModelProperty("操作")
    private String operation;

    @ApiModelProperty("用户微信号")
    private String userWxId;

    @ApiModelProperty("wechatUserId")
    private Long wechatUserId;

    @ApiModelProperty("微信群ID")
    private String wechatGroupId;

    @ApiModelProperty("群ID")
    private Long groupQrcodeId;

    @ApiModelProperty("分类ID")
    private Long classifyId;

    @ApiModelProperty("社群码ID")
    private Long bookGroupId;

    @ApiModelProperty("编辑ID")
    private Long adviserId;
    
    @ApiModelProperty("IP")
    private String ip;

    public Long getBookClockInfoId() {
        return bookClockInfoId;
    }

    public void setBookClockInfoId(Long bookClockInfoId) {
        this.bookClockInfoId = bookClockInfoId;
    }

    public Long getOriginId() {
        return originId;
    }

    public void setOriginId(Long originId) {
        this.originId = originId;
    }

    public String getOriginType() {
        return originType;
    }

    public void setOriginType(String originType) {
        this.originType = originType;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getUserWxId() {
        return userWxId;
    }

    public void setUserWxId(String userWxId) {
        this.userWxId = userWxId;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getWechatGroupId() {
        return wechatGroupId;
    }

    public void setWechatGroupId(String wechatGroupId) {
        this.wechatGroupId = wechatGroupId;
    }

    public String getRobotId() {
        return robotId;
    }

    public void setRobotId(String robotId) {
        this.robotId = robotId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }
    
    public String getIp() {
        return ip;
    }
    
    public void setIp(String ip) {
        this.ip = ip;
    }
    
    @Override
    public String toString() {
        return "PushBookClockKeywordDTO{" +
                "bookClockInfoId=" + bookClockInfoId +
                ", originId=" + originId +
                ", originType='" + originType + '\'' +
                ", typeCode='" + typeCode + '\'' +
                ", channelId=" + channelId +
                ", robotId='" + robotId + '\'' +
                ", operation='" + operation + '\'' +
                ", userWxId='" + userWxId + '\'' +
                ", wechatUserId=" + wechatUserId +
                ", wechatGroupId='" + wechatGroupId + '\'' +
                ", groupQrcodeId=" + groupQrcodeId +
                ", classifyId=" + classifyId +
                ", bookGroupId=" + bookGroupId +
                ", adviserId=" + adviserId +
                ", ip='" + ip + '\'' +
                '}';
    }
}
